Bug 1379414 - [GSS] @CacheEntryExpired not getting invoked for non auto-commit cache
Summary: [GSS] @CacheEntryExpired not getting invoked for non auto-commit cache
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: DR1
: 6.6.2
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1374440 1400136
TreeView+ depends on / blocked
 
Reported: 2016-09-26 16:22 UTC by Shay Matasaro
Modified: 2020-01-17 15:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
reproducer (6.01 KB, application/zip)
2016-09-26 16:22 UTC, Shay Matasaro
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-7121 0 Major Resolved Remove Expired doesn't work with no auto commit in a clustered cache 2017-09-08 13:16:30 UTC
Red Hat Issue Tracker JDG-534 0 Major Verified Remove Expired doesn't work with no auto commit in a clustered 2017-09-08 13:16:30 UTC

Description Shay Matasaro 2016-09-26 16:22:01 UTC
@CacheEntryExpired listener method is not getting invoked for  non auto-commit cache.

When auto commit is true the listener method is invoked.

@CacheEntryCreated  is getting invoked in both configs.

Comment 1 Shay Matasaro 2016-09-26 16:22:50 UTC
Created attachment 1204882 [details]
reproducer

reproducer attached

Comment 4 William Burns 2016-10-20 13:18:17 UTC
PR: https://issues.jboss.org/browse/JDG-534


Note You need to log in before you can comment on or make changes to this bug.